> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 下载音频



## OpenAPI

````yaml openapi/cn/flowmuisc.json POST /flowmusic/v1/download-audio
openapi: 3.1.0
info:
  title: Flowmusic API DOCS
  version: 1.0.0
  description: TTAPI Flowmusic API 接口服务，目前集成了市场上最为领先的音乐大模型。
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /flowmusic/v1/download-audio:
    post:
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DownloadRequest'
      responses:
        '200':
          $ref: '#/components/responses/SuccessResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    DownloadRequest:
      type: object
      properties:
        clip_id:
          type: string
          description: 需要下载的音乐 clip_id。
        format:
          type: string
          enum:
            - wav
            - mp3
          default: mp3
          description: 下载音频格式；为空时默认 mp3
        hook_url:
          type: string
          description: 任务完成后的业务回调地址；为空时不推送回调
      required:
        - clip_id
        - format
  responses:
    SuccessResponse:
      description: 请求成功
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: SUCCESS
              message:
                type: string
                example: success
              data:
                type: object
                example:
                  jobId: jobId
            required:
              - status
              - message
              - data
    400Response:
      description: 参数错误
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: 授权失败
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        请前往 <a href='https://dashboard.ttapi.io' target='_blank'>TTAPI 控制台</a>
        获取 API 密钥。

````